Subject: Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays

From: SZEDER Gábor <[email-masked]>
Date: Fri, 4 Jan 2019 13:38:19 +0100

On Fri, Jan 04, 2019 at 03:25:57AM -0800, Junio C Hamano wrote:
> SZEDER Gábor <[email-masked]> writes:
> 
> > On Thu, Jan 03, 2019 at 12:29:35PM -0800, Junio C Hamano wrote:
> >> Let's treat this as an independent and more urgent fix-up.  I think
> >> it is sufficient to apply it to 2.20.x track, even though we could
> >> go back to 2.17.x and above.
> >> 
> >> And then let's tentatively kick the "stress test" series out of
> >> 'pu', and have that series rebuilt on top of 'master' and this
> >> patch.
> >
> > I rebased my '--stress' patch series on top of
> > 'sg/test-bash-version-fix', and the result is the same as what's at
> > the tip of 'sg/stress-test' at 1d1416a34b.
> 
> Yeah, sorry for not reporting what I did after pushing the
> integration result out.  I ended up rebasing the stress series on
> top of the updated fix with eval myself.

No problem, it still saved me from writing a cover letter :)

Note that I didn't actually test either of these patches on NetBSD,
though both "Should Work".  Carlo sent a Tested-by for v1; I hope
he'll be able to get around and test v2 as well.